Subject: Re: bug#18891: Doesn't handle pwd = /C: very well

From: Michael Albinus <[email-masked]>
Date: Fri, 07 Nov 2014 15:52:37 +0100

Glenn Morris <[email-masked]> writes:

> in the terminal, and C-x C-f shows the prompt as the weird-looking:
>
>     Find file: /:/C:/
>
> but if that is how it has to be, so be it.

This still doesn't work. dired applies call-process internally, and
there seem to be several side effects which I couldn't trap.

> Trying to visit a new file fails though:
>
>    C-x C-f bar RET
>
> since it again tries to do something via Tramp and fails.

This shall work now, both cases bar being an existing file, and bar not
existing. I've committed respective patches to the emacs-24 branch.

Although not *everything* is working correctly (call-process), I would
propose to close the bug. It's not important enough.

Best regards, Michael.